%define _binaries_in_noarch_packages_terminate_build 0
%define firm_beta 0

%define firmvers 1.2.4

%if %{firm_beta}
%define firm_name alsa-firmware-%{firmvers}%{firm_beta}
%else
%define firm_name alsa-firmware-%{firmvers}
%endif

Name:		alsa-firmware
Version:	1.2.4
%if !%{firm_beta}
Release:	%mkrel 3
%else
Release:	%mkrel 0.%{firm_beta}.1
%endif
Summary:	Advanced Linux Sound Architecture (ALSA) tools
Group:		System/Kernel and hardware
# use the licenses figured out by Fedora, for a break down of where each license
# comes from see:
# https://src.fedoraproject.org/rpms/alsa-firmware/blob/rawhide/f/alsa-firmware.spec
License:	GPLv1+ and BSD and GPLv2+ and GPLv2 and LGPLv2+
URL:		https://alsa-project.org/
Source0:	https://www.alsa-project.org/files/pub/firmware/%{firm_name}.tar.bz2
BuildArch:	noarch

BuildRequires:	automake
BuildRequires:	autoconf

Requires:	alsa-tools-firmware >= 1.1.7
Requires:	udev

Provides:	aica-firmware = %{version}-%{release}
Provides:	asihpi-firmware = %{version}-%{release}
Provides:	emagic-firmware = %{version}-%{release}
Provides:	emu1010-firmware = %{version}-%{release}
Provides:	sb16-firmware = %{version}-%{release}
Provides:	korg1212-firmware = %{version}-%{release}
Provides:	maestro3-firmware = %{version}-%{release}
Provides:	turtlebeach-firmware = %{version}-%{release}
Provides:	yamaha-firmware = %{version}-%{release}
Obsoletes:	aica-firmware < %{version}-%{release}
Obsoletes:	asihpi-firmware < %{version}-%{release}
Obsoletes:	emagic-firmware < %{version}-%{release}
Obsoletes:	emu1010-firmware < %{version}-%{release}
Obsoletes:	sb16-firmware < %{version}-%{release}
Obsoletes:	korg1212-firmware < %{version}-%{release}
Obsoletes:	maestro3-firmware < %{version}-%{release}
Obsoletes:	turtlebeach-firmware < %{version}-%{release}
Obsoletes:	yamaha-firmware < %{version}-%{release}

# (ahmad) provide echomixer-firmware, and not echomixer, so as not to obsolete
# echomixer here and in alsa-tools; urpmi can't soomthly handle a package
# obsoleted by two packages
Provides:	echomixer-firmware = %{version}-%{release}

# sof is nonfree package because built from binaries
Recommends:	alsa-sof-firmware

%description
This package contains the firmware binaries for a number of sound cards.
Some (but not all of these) require firmware loaders which are included in
the alsa-tools-firmware package.

%prep
%autosetup -p1

%build
# Leaving this directory in place ends up with the following crazy, broken
# symlinks in the output RPM, with no sign of the actual firmware (*.bin) files
# themselves:
#
# /lib/firmware/turtlebeach:
# msndinit.bin -> /etc/sound/msndinit.bin
# msndperm.bin -> /etc/sound/msndperm.bin
# pndsperm.bin -> /etc/sound/pndsperm.bin
# pndspini.bin -> /etc/sound/pndspini.bin
#
# Probably an upstream package bug.
sed -i s#'multisound/Makefile \\'## configure.ac
sed -i s#multisound## Makefile.am

autoreconf -fi
export CC_FOR_BUILD=%__cc
%configure --with-hotplug-dir=/lib/firmware --disable-loader
%make_build

# (Fedora) Rename README files from firmware subdirs that have them
for i in hdsploader mixartloader pcxhrloader usx2yloader vxloader ca0132
do
  mv ${i}/README README.${i}
done
mv aica/license.txt LICENSE.aica_firmware
mv aica/Dreamcast_sound.txt aica_dreamcast_sound.txt
mv ca0132/creative.txt LICENSE.creative_txt

%install
%make_install

%files
%license LICENSE*
%doc COPYING README*
%doc aica_dreamcast_sound.txt
/lib/firmware/asihpi
/lib/firmware/cs46xx/
/lib/firmware/ea/
/lib/firmware/emu/
/lib/firmware/korg/k1212.dsp
/lib/firmware/pcxhr/
/lib/firmware/vx/
/lib/firmware/yamaha/
/lib/firmware/sb16/
/lib/firmware/mixart/
/lib/firmware/ess/
/lib/firmware/*.bin

%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/usx2yloader


%changelog
* Sat Jul 12 2025 umeabot <umeabot> 1.2.4-3.mga10
+ Revision: 2253328
- Mageia 10 Mass Rebuild

* Wed Oct 23 2024 ghibo <ghibo> 1.2.4-2.mga10
+ Revision: 2110999
- Add missed doc files
- Fix Source0 URL to use https instead of deprecated ftp.
- Fix FC URL for spec file.

* Wed Mar 23 2022 umeabot <umeabot> 1.2.4-1.mga9
+ Revision: 1821870
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 luigiwalser <luigiwalser> 1.2.4-1.mga8
+ Revision: 1638630
- remove unnecessary source1
- 1.2.4

* Mon Mar 30 2020 zezinho <zezinho> 1.2.1-3.mga8
+ Revision: 1562327
- move sof firmare to another package as it is nonfree

* Sun Mar 29 2020 zezinho <zezinho> 1.2.1-2.mga8
+ Revision: 1562125
- switch to make_build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1.2.1-1.mga8
+ Revision: 1476082
- 1.2.1
- added Intel SOF firmware (version 1.4.1)
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Sep 18 2018 umeabot <umeabot> 1.0.29-2.mga7
+ Revision: 1259621
- Mageia 7 Mass Rebuild

* Fri Mar 04 2016 luigiwalser <luigiwalser> 1.0.29-2.mga6
+ Revision: 985771
- rebuild with correct version
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- new release

* Tue Jun 23 2015 tv <tv> 1.0.29-1.mga6
+ Revision: 840254
- new release

* Sat Oct 25 2014 danf <danf> 1.0.28-2.mga5
+ Revision: 793333
- Bumped release for rebuild (since mass rebuild release bump was incorrect)
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 1.0.28-1.mga5
+ Revision: 637905
- fix "File listed twice" warning
- adjust file list
- new release
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 fwang <fwang> 1.0.27-3.mga4
+ Revision: 459571
- use autoreconf -i

* Fri May 24 2013 tv <tv> 1.0.27-2.mga4
+ Revision: 426566
- adjust file list
- adjust file list
- new release
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 barjac <barjac> 1.0.25-2.mga3
+ Revision: 319935
- Change group to new policy
- unversioned explicit obsoletes/provides
- fix license and spelling

* Wed Jan 25 2012 colin <colin> 1.0.25-1.mga2
+ Revision: 201524
- New version: 1.0.25

* Fri Mar 11 2011 ahmad <ahmad> 1.0.24.1-2.mga1
+ Revision: 68255
- provide echomixer-firmware, and not echomixer, so as not to obsolete echomixer
  here and in alsa-tools; urpmi can't soomthly handle a package obsoleted by two
  packages

* Tue Mar 08 2011 ahmad <ahmad> 1.0.24.1-1.mga1
+ Revision: 66349
- imported package alsa-firmware

